# Run configuration for a sweep over an ER graph
#
# ...
---
perform_sweep: true

paths:
  model_note: ER_GNP_sweep

run_kwargs:
  stop_conditions:
    - name: magnetization_converged
      to_check:
        - func: check_monitor_entry
          # The monitor entry returns the maximum absolute deviation over the
          # sampling interval (default: last 50-64 time steps)
          entry_name: SocialSpinModel.mean_state_fluctuation
          operator: <=
          value: 0.03

# Use a simpler progress computation (more reliable here because the
# network generation throws the ETA computation way off ...)
reporter:
  report_formats:
    progress_bar:
      times_kwargs:
        mode: from_start


parameter_space:
  num_steps: 1000

  monitor_emit_interval: 1.0

  seed: !sweep
    default: 42
    range: [8]  # TODO increase
    # iterate over this dimension least frequently; improves ETA estimation
    order: -1000

  SocialSpinModel:
    graph:
      model: ErdosRenyi_GNP

      num_vertices: !sweep
        default: 10000
        values:
          - 100
          - 300
          - 1000
          - 3000
          - 10000
          - 30000
          # - 100000

      ErdosRenyi_GNP:
        p: !sweep
          name: p_link
          default: 0.02
          values:
            - 1.e-5
            - 2.e-5
            - 5.e-5
            - 1.e-4
            - 2.e-4
            - 5.e-4
            - 1.e-3
            - 2.e-3
            - 5.e-3
            - 0.01
            - 0.02
            - 0.05
            - 0.1
            # - 0.2

    init:
      frac_up: 0.5
      frac_unbiased: 1.0

    p_flip_random: !sweep
      default: 0.01
      values:
        - 0.0
        - 0.005
        - 0.01
        - 0.02
        - 0.05

    # Don't need that much output
    write_topology: false
    write_agent_data: false
